1. Public Plans
  • Public Plans
    • List commercially visible plans
      GET
    • Show one commercially visible plan
      GET
  • Plans Management
    • List all plans including inactive and soft-deleted
      GET
    • Create a plan
      POST
    • Show a plan for administration
      GET
    • Update a plan
      PATCH
  • Billing Webhooks
    • Receive a billing provider webhook
      POST
  • Channel Webhooks
    • Meta webhook verification challenge
      GET
    • Receive Meta messaging events
      POST
    • Receive Telegram bot updates
      POST
    • WhatsApp Business verification challenge
      GET
    • Receive WhatsApp Business messaging events
      POST
    • Receive WhatsApp Web inbound messages
      POST
  • Commerce Webhooks
    • Receive a WooCommerce webhook
      POST
  • Authentication
    • Current workspace and API key
      GET
  • Subscription
    • Current workspace subscription
      GET
    • Initiate subscription checkout
      POST
    • Change subscription plan
      POST
    • Cancel subscription at period end
      POST
    • Resume a scheduled cancellation
      POST
  • Channels
    • List enabled channels
      GET
  • Contacts
    • List contacts
    • Create a contact
    • View a contact
    • Update a contact
  • Conversations
    • List conversations
    • View a conversation
  • Messages
    • List conversation messages
    • Send a message
  • Leads
    • List leads
    • Create a lead
    • View a lead
    • Update a lead
  • Knowledge
    • List knowledge base entries
  • Schemas
    • PublicPlan
    • Subscription
    • PublicPlanFeature
    • CheckoutRequest
    • PublicPlanLimit
    • CheckoutResponse
    • PlatformPlan
    • ChangePlanRequest
    • ApiKeyInfo
    • PlatformPlanCreateRequest
    • PlatformPlanUpdateRequest
    • Business
    • WebhookAcceptResponse
    • Channel
    • Error
    • Contact
    • ContactCreateRequest
    • ValidationError
    • ContactUpdateRequest
    • Conversation
    • Message
    • MessageCreateRequest
    • Lead
    • LeadCreateRequest
    • LeadUpdateRequest
    • KnowledgeBaseEntry
  1. Public Plans

List commercially visible plans

GET
https://api.replyable.ai/v1/plans
Returns active, customer-facing plans from PlanService::activeCommercialPlans().
Inactive, soft-deleted, and non-commercial plans are omitted.
No authentication. Cached for 300 seconds.

Request

Authorization

Responses

🟢200PublicPlanListResponse
application/json
Active commercial plans
Headers

Bodyapplication/json

🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.replyable.ai/v1/plans'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "string",
            "slug": "string",
            "name": "string",
            "description": "string",
            "currency": "string",
            "monthly_price": "string",
            "yearly_price": "string",
            "trial_days": 0,
            "is_default": true,
            "sort_order": 0,
            "features": [
                {
                    "key": "string",
                    "enabled": true,
                    "label": "string"
                }
            ],
            "limits": [
                {
                    "key": "string",
                    "value": 0,
                    "unlimited": true,
                    "label": "string"
                }
            ]
        }
    ],
    "meta": {
        "currency": "string"
    }
}
Modified at 2026-09-10 10:38:45
Next
Show one commercially visible plan
Built with